> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Create or update callout templates

POST https://rest.test.zuora.com/notifications/callout-templates/import
Content-Type: application/json

Creates callout templates for standard or custom events if you do not specify callout template IDs, or updates existing callout templates if you specify valid callout template IDs.

For each callout template when you are creating callout templates, whether the template is created for a standard event, a custom event, or a custom scheduled event is dependent on whether you specify the `eventCategory` or `eventTypeName` field.

* If you specify the `eventCategory` field, the callout template is created based on a standard event. See Standard event category code for events and notifications for all standard event category codes.
* If you specify the `eventTypeName` field, the callout template is created based on the corresponding custom event, Zuora custom event, or custom scheduled event. See [Custom event triggers](https://developer.zuora.com/api-references/api/tag/Custom-Event-Triggers/) for more information about custom events, and [Custom scheduled events](https://developer.zuora.com/api-references/api/tag/Custom-Scheduled-Events/) for more information about custom scheduled events.

The maximum number of callout templates that you can create or update by one call is 1,000.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/events-and-notifications/notifications/create-or-update-callout-templates

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

### Body (application/json)

This endpoint expects a POSTCreateOrUpdateCalloutTemplateRequest.

- `allowPartialSuccess` (boolean, optional) — When set to `false`, the call will fail if one or multiple instances fail to import, and a `200` response is returned if all callout templates have been successfully updated. When set to `true`, a success (`200`) response is returned if one or more instances have imported successfully. All failed instances are also returned in the response.
- `calloutTemplates` (list of PostCreateOrUpdateCalloutTemplateRequestCalloutTemplatesItems, optional) — A container for callout templates.

## Response

### 200

OK

- `reasons` (list of string, optional) — Returns an empty array if the request succeeds.

## Types

### PostCreateOrUpdateCalloutTemplateRequestCalloutTemplatesItems

### POSTCreateOrUpdateCalloutTemplateRequestCommon

Common information for callout templates.

- `calloutBaseurl` (string, required) — The callout URL. It must start with `https://`. Zuora uses port 443 to send callout notifications by default. If you want to use other ports, submit a request at Zuora Global Support. You can add merge fields in the callout URL. For example, `https://mywebsite.com/zuora/{{DataSource.Account.Id}}`. For more information, see Merge field syntax for email and callout templates.
- `httpMethod` (enum, required) — The HTTP method of the callout.
  - Allowed values: `POST`, `GET`, `PUT`, `PATCH`, `DELETE`
- `name` (string, required) — The name of the callout template. It must be unique across all callout templates.
- `active` (boolean, optional, default: true) — The status of the callout. The default is `true`.
- `calloutHeaders` (map from string to string, optional) — Container for custom callout headers. Each custom callout header consists of a header name and a header value.
- `calloutParams` (map from string to string, optional) — Container for callout parameters sent in the request body. Each callout parameter consists of a parameter name and a parameter value.
- `calloutRetry` (boolean, optional, default: true) — Specified whether to retry the callout when the callout fails. The default value is `true`.
- `certificate` (string, optional) — The SSL certificate for the domain of the callout receiver server specified in `calloutBaseurl`. The value must be in PEM format, which typically starts with `-----BEGIN CERTIFICATE-----` and ends with `-----END CERTIFICATE-----`. Specifying the SSL certificate can eliminate SSL certificate errors (HTTP status code 495) for callout notifications.
- `confirmSuccessFromResponseContent` (boolean, optional, default: false) — Indicates how Zuora determines whether callout notifications to your system succeed or fail: * If `false`, Zuora determines the result based solely on the HTTP response status code. This is the default value. * If `true`, and the HTTP response status code is 200, Zuora evaluates the callout response and considers the notification successful only if the `Content-Type` header is set to `application/json`, and the response body contains a `success` field set to `true`.
- `customRequestBody` (string, optional) — Customized request body. This field is available only for callouts whose Content-Type in the request body is `application/json`. The value must be in JSON format and double quotes in the value must be escaped. You can add merge fields to the request body. For example, `{\"AccountNumber\": \"{{DataSource.Account.AccountNumber}}\",\"AccountId\": \"{{DataSource.Account.Id}}\"}`. For more information, see Merge field syntax for email and callout templates. You must set `useCustomRequestBody` to `true` if you want to customize the callout request body with this field. Alternatively, you can use the `calloutParams` field.
- `description` (string, optional) — Description for the callout template.
- `eventCategory` (double, optional) — The event category code for a standard event that the callout template relates to. This field is required when creating callout templates for standard events. For the list of supported standard event category codes, see Standard event category code for events and notifications.
- `eventTypeName` (string, optional) — The name of a custom event that the callout template relates to. This field is required when creating callout templates for Zuora custom events, custom events, or custom scheduled events. If this field is provided, you can specify the event namespace in the `eventTypeNamespace` field.
- `eventTypeNamespace` (enum, optional, default: user.notification) — The namespace of the `eventTypeName` field. It indicates who created the event and which namespace the event is assigned to. Supported values are as follows: - `com.zuora.notification`: events that are created by Zuora. This value applies to Zuora custom events. - `user.notification`: events that are created by tenant users. This value applies to custom events and custom scheduled events. This is the default value. For example, if you want to create a callout template that relates to the `OrderActionProcessed` event, which is a Zuora custom event, you must specify `com.zuora.notification` for this field.
  - Allowed values: `user.notification`, `com.zuora.notification`
- `hmacAlgorithm` (enum, optional) — The hash function Zuora uses to generate the signed data for HMAC authentication.
  - Allowed values: `MD5`, `SHA-1`, `SHA-224`, `SHA-256`, `SHA-384`, `SHA-512`
- `hmacData` (string, optional) — The message to be authenticated for HMAC authentication. You can use merge fields in this value: * `{{Request.Headers.<header_name>}}`: Refers to the value of a particular request header. For example, `{{Request.Headers.Date}}` refers to the value of the request header called `Date`. * `{{Request.Body}}`: Refers to the request body. * Other merge fields: See Merge field syntax for email and callout templates.
- `hmacKey` (string, optional) — The header key that Zuora uses to send the header value for HMAC authentication. The header value is specified in the `hmacValue` field and typically contains the signed data.
- `hmacOutputFormat` (enum, optional) — The format of the signed data for HMAC authentication.
  - Allowed values: `BASE64`, `HEX`
- `hmacSecret` (string, optional) — The shared secret key that Zuora uses to generate the signed data for HMAC authentication.
- `hmacValue` (string, optional) — The header value for HMAC authentication. The header key is specified in the `hmacKey` field. You can use merge fields in this value: * `{{Request.HMAC.Signed}}`: Refers to the signed data. * Other merge fields: See Merge field syntax for email and callout templates. The following is a header value example: `The algorithm is SHA-256 and the signed data is {{Request.HMAC.Signed}}`.
- `id` (string, optional) — ID of an existing callout template. Specify this field if you want to update an existing callout template.
- `useCustomRequestBody` (boolean, optional) — Indicates whether to enable the customized request body configured in the `customRequestBody` field.

### POSTCreateOrUpdateCalloutTemplateRequestBasicAuthentication

The Basic Authentication information for callout notifications.

- `calloutBaseurl` (string, required) — The callout URL. It must start with `https://`. Zuora uses port 443 to send callout notifications by default. If you want to use other ports, submit a request at Zuora Global Support. You can add merge fields in the callout URL. For example, `https://mywebsite.com/zuora/{{DataSource.Account.Id}}`. For more information, see Merge field syntax for email and callout templates.
- `httpMethod` (enum, required) — The HTTP method of the callout.
  - Allowed values: `POST`, `GET`, `PUT`, `PATCH`, `DELETE`
- `name` (string, required) — The name of the callout template. It must be unique across all callout templates.
- `active` (boolean, optional, default: true) — The status of the callout. The default is `true`.
- `calloutHeaders` (map from string to string, optional) — Container for custom callout headers. Each custom callout header consists of a header name and a header value.
- `calloutParams` (map from string to string, optional) — Container for callout parameters sent in the request body. Each callout parameter consists of a parameter name and a parameter value.
- `calloutRetry` (boolean, optional, default: true) — Specified whether to retry the callout when the callout fails. The default value is `true`.
- `certificate` (string, optional) — The SSL certificate for the domain of the callout receiver server specified in `calloutBaseurl`. The value must be in PEM format, which typically starts with `-----BEGIN CERTIFICATE-----` and ends with `-----END CERTIFICATE-----`. Specifying the SSL certificate can eliminate SSL certificate errors (HTTP status code 495) for callout notifications.
- `confirmSuccessFromResponseContent` (boolean, optional, default: false) — Indicates how Zuora determines whether callout notifications to your system succeed or fail: * If `false`, Zuora determines the result based solely on the HTTP response status code. This is the default value. * If `true`, and the HTTP response status code is 200, Zuora evaluates the callout response and considers the notification successful only if the `Content-Type` header is set to `application/json`, and the response body contains a `success` field set to `true`.
- `customRequestBody` (string, optional) — Customized request body. This field is available only for callouts whose Content-Type in the request body is `application/json`. The value must be in JSON format and double quotes in the value must be escaped. You can add merge fields to the request body. For example, `{\"AccountNumber\": \"{{DataSource.Account.AccountNumber}}\",\"AccountId\": \"{{DataSource.Account.Id}}\"}`. For more information, see Merge field syntax for email and callout templates. You must set `useCustomRequestBody` to `true` if you want to customize the callout request body with this field. Alternatively, you can use the `calloutParams` field.
- `description` (string, optional) — Description for the callout template.
- `eventCategory` (double, optional) — The event category code for a standard event that the callout template relates to. This field is required when creating callout templates for standard events. For the list of supported standard event category codes, see Standard event category code for events and notifications.
- `eventTypeName` (string, optional) — The name of a custom event that the callout template relates to. This field is required when creating callout templates for Zuora custom events, custom events, or custom scheduled events. If this field is provided, you can specify the event namespace in the `eventTypeNamespace` field.
- `eventTypeNamespace` (enum, optional, default: user.notification) — The namespace of the `eventTypeName` field. It indicates who created the event and which namespace the event is assigned to. Supported values are as follows: - `com.zuora.notification`: events that are created by Zuora. This value applies to Zuora custom events. - `user.notification`: events that are created by tenant users. This value applies to custom events and custom scheduled events. This is the default value. For example, if you want to create a callout template that relates to the `OrderActionProcessed` event, which is a Zuora custom event, you must specify `com.zuora.notification` for this field.
  - Allowed values: `user.notification`, `com.zuora.notification`
- `hmacAlgorithm` (enum, optional) — The hash function Zuora uses to generate the signed data for HMAC authentication.
  - Allowed values: `MD5`, `SHA-1`, `SHA-224`, `SHA-256`, `SHA-384`, `SHA-512`
- `hmacData` (string, optional) — The message to be authenticated for HMAC authentication. You can use merge fields in this value: * `{{Request.Headers.<header_name>}}`: Refers to the value of a particular request header. For example, `{{Request.Headers.Date}}` refers to the value of the request header called `Date`. * `{{Request.Body}}`: Refers to the request body. * Other merge fields: See Merge field syntax for email and callout templates.
- `hmacKey` (string, optional) — The header key that Zuora uses to send the header value for HMAC authentication. The header value is specified in the `hmacValue` field and typically contains the signed data.
- `hmacOutputFormat` (enum, optional) — The format of the signed data for HMAC authentication.
  - Allowed values: `BASE64`, `HEX`
- `hmacSecret` (string, optional) — The shared secret key that Zuora uses to generate the signed data for HMAC authentication.
- `hmacValue` (string, optional) — The header value for HMAC authentication. The header key is specified in the `hmacKey` field. You can use merge fields in this value: * `{{Request.HMAC.Signed}}`: Refers to the signed data. * Other merge fields: See Merge field syntax for email and callout templates. The following is a header value example: `The algorithm is SHA-256 and the signed data is {{Request.HMAC.Signed}}`.
- `id` (string, optional) — ID of an existing callout template. Specify this field if you want to update an existing callout template.
- `useCustomRequestBody` (boolean, optional) — Indicates whether to enable the customized request body configured in the `customRequestBody` field.
- `requiredAuth` (boolean, optional) — Indicates whether Basic authentication is enabled for the callout. When creating callout notifications with Basic authentication enabled, you must set this field to `true` and specify the username and password in `calloutAuth`.
- `calloutAuth` (CalloutAuth, optional) — If `requiredAuth` is `true`, this object is required.

### POSTCreateOrUpdateCalloutTemplateRequestOauth2Authentication

The OAuth 2.0 Authentication information for callout notifications.

- `calloutBaseurl` (string, required) — The callout URL. It must start with `https://`. Zuora uses port 443 to send callout notifications by default. If you want to use other ports, submit a request at Zuora Global Support. You can add merge fields in the callout URL. For example, `https://mywebsite.com/zuora/{{DataSource.Account.Id}}`. For more information, see Merge field syntax for email and callout templates.
- `httpMethod` (enum, required) — The HTTP method of the callout.
  - Allowed values: `POST`, `GET`, `PUT`, `PATCH`, `DELETE`
- `name` (string, required) — The name of the callout template. It must be unique across all callout templates.
- `active` (boolean, optional, default: true) — The status of the callout. The default is `true`.
- `calloutHeaders` (map from string to string, optional) — Container for custom callout headers. Each custom callout header consists of a header name and a header value.
- `calloutParams` (map from string to string, optional) — Container for callout parameters sent in the request body. Each callout parameter consists of a parameter name and a parameter value.
- `calloutRetry` (boolean, optional, default: true) — Specified whether to retry the callout when the callout fails. The default value is `true`.
- `certificate` (string, optional) — The SSL certificate for the domain of the callout receiver server specified in `calloutBaseurl`. The value must be in PEM format, which typically starts with `-----BEGIN CERTIFICATE-----` and ends with `-----END CERTIFICATE-----`. Specifying the SSL certificate can eliminate SSL certificate errors (HTTP status code 495) for callout notifications.
- `confirmSuccessFromResponseContent` (boolean, optional, default: false) — Indicates how Zuora determines whether callout notifications to your system succeed or fail: * If `false`, Zuora determines the result based solely on the HTTP response status code. This is the default value. * If `true`, and the HTTP response status code is 200, Zuora evaluates the callout response and considers the notification successful only if the `Content-Type` header is set to `application/json`, and the response body contains a `success` field set to `true`.
- `customRequestBody` (string, optional) — Customized request body. This field is available only for callouts whose Content-Type in the request body is `application/json`. The value must be in JSON format and double quotes in the value must be escaped. You can add merge fields to the request body. For example, `{\"AccountNumber\": \"{{DataSource.Account.AccountNumber}}\",\"AccountId\": \"{{DataSource.Account.Id}}\"}`. For more information, see Merge field syntax for email and callout templates. You must set `useCustomRequestBody` to `true` if you want to customize the callout request body with this field. Alternatively, you can use the `calloutParams` field.
- `description` (string, optional) — Description for the callout template.
- `eventCategory` (double, optional) — The event category code for a standard event that the callout template relates to. This field is required when creating callout templates for standard events. For the list of supported standard event category codes, see Standard event category code for events and notifications.
- `eventTypeName` (string, optional) — The name of a custom event that the callout template relates to. This field is required when creating callout templates for Zuora custom events, custom events, or custom scheduled events. If this field is provided, you can specify the event namespace in the `eventTypeNamespace` field.
- `eventTypeNamespace` (enum, optional, default: user.notification) — The namespace of the `eventTypeName` field. It indicates who created the event and which namespace the event is assigned to. Supported values are as follows: - `com.zuora.notification`: events that are created by Zuora. This value applies to Zuora custom events. - `user.notification`: events that are created by tenant users. This value applies to custom events and custom scheduled events. This is the default value. For example, if you want to create a callout template that relates to the `OrderActionProcessed` event, which is a Zuora custom event, you must specify `com.zuora.notification` for this field.
  - Allowed values: `user.notification`, `com.zuora.notification`
- `hmacAlgorithm` (enum, optional) — The hash function Zuora uses to generate the signed data for HMAC authentication.
  - Allowed values: `MD5`, `SHA-1`, `SHA-224`, `SHA-256`, `SHA-384`, `SHA-512`
- `hmacData` (string, optional) — The message to be authenticated for HMAC authentication. You can use merge fields in this value: * `{{Request.Headers.<header_name>}}`: Refers to the value of a particular request header. For example, `{{Request.Headers.Date}}` refers to the value of the request header called `Date`. * `{{Request.Body}}`: Refers to the request body. * Other merge fields: See Merge field syntax for email and callout templates.
- `hmacKey` (string, optional) — The header key that Zuora uses to send the header value for HMAC authentication. The header value is specified in the `hmacValue` field and typically contains the signed data.
- `hmacOutputFormat` (enum, optional) — The format of the signed data for HMAC authentication.
  - Allowed values: `BASE64`, `HEX`
- `hmacSecret` (string, optional) — The shared secret key that Zuora uses to generate the signed data for HMAC authentication.
- `hmacValue` (string, optional) — The header value for HMAC authentication. The header key is specified in the `hmacKey` field. You can use merge fields in this value: * `{{Request.HMAC.Signed}}`: Refers to the signed data. * Other merge fields: See Merge field syntax for email and callout templates. The following is a header value example: `The algorithm is SHA-256 and the signed data is {{Request.HMAC.Signed}}`.
- `id` (string, optional) — ID of an existing callout template. Specify this field if you want to update an existing callout template.
- `useCustomRequestBody` (boolean, optional) — Indicates whether to enable the customized request body configured in the `customRequestBody` field.
- `requiredOauth2` (boolean, optional) — Indicates whether OAuth 2.0 authentication is enabled for the callout. When creating callout notifications with OAuth 2.0 authentication enabled, you must set this field to `true` and specify the OAuth 2.0 provider ID in `oauth2ProviderId`.
- `oauth2ProviderId` (any, optional) — The ID of the OAuth 2.0 provider in your tenant that provides access tokens for the callout. This field is required if `requiredOauth2` is `true`. For more information about how to get the ID of an OAuth 2.0 provider, see Retrieve the ID of an OAuth 2.0 provider.

### CalloutAuth

If `requiredAuth` is `true`, this object is required.

- `domain` (string, optional) — The domain of the callout auth.
- `password` (string, optional) — The field is required when `requiredAuth` is `true`.
- `preemptive` (boolean, optional) — Set this field to `true` if you want to enable the preemptive authentication.
- `username` (string, optional) — The field is required when `requiredAuth` is `true`.

## Examples

**Request**

```json
{
  "allowPartialSuccess": true,
  "calloutTemplates": [
    {
      "calloutBaseurl": "https://www.example.com/callout/AccountEdit",
      "eventTypeName": "AccountEdit",
      "httpMethod": "POST",
      "name": "Account Edit"
    },
    {
      "calloutBaseurl": "https://www.example.com/callout/AccountDelete",
      "eventTypeName": "AccountDelete",
      "httpMethod": "POST",
      "name": "Account Delete"
    }
  ]
}
```

**Response**

```json
{
  "reasons": []
}
```

**SDK Code**

```python
import requests

url = "https://rest.test.zuora.com/notifications/callout-templates/import"

payload = {
    "allowPartialSuccess": True,
    "calloutTemplates": [
        {
            "calloutBaseurl": "https://www.example.com/callout/AccountEdit",
            "eventTypeName": "AccountEdit",
            "httpMethod": "POST",
            "name": "Account Edit"
        },
        {
            "calloutBaseurl": "https://www.example.com/callout/AccountDelete",
            "eventTypeName": "AccountDelete",
            "httpMethod": "POST",
            "name": "Account Delete"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.test.zuora.com/notifications/callout-templates/import';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"allowPartialSuccess":true,"calloutTemplates":[{"calloutBaseurl":"https://www.example.com/callout/AccountEdit","eventTypeName":"AccountEdit","httpMethod":"POST","name":"Account Edit"},{"calloutBaseurl":"https://www.example.com/callout/AccountDelete","eventTypeName":"AccountDelete","httpMethod":"POST","name":"Account Delete"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/notifications/callout-templates/import"

	payload := strings.NewReader("{\n  \"allowPartialSuccess\": true,\n  \"calloutTemplates\": [\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountEdit\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Edit\"\n    },\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountDelete\",\n      \"eventTypeName\": \"AccountDelete\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Delete\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/notifications/callout-templates/import")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"allowPartialSuccess\": true,\n  \"calloutTemplates\": [\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountEdit\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Edit\"\n    },\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountDelete\",\n      \"eventTypeName\": \"AccountDelete\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Delete\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rest.test.zuora.com/notifications/callout-templates/import")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"allowPartialSuccess\": true,\n  \"calloutTemplates\": [\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountEdit\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Edit\"\n    },\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountDelete\",\n      \"eventTypeName\": \"AccountDelete\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Delete\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rest.test.zuora.com/notifications/callout-templates/import', [
  'body' => '{
  "allowPartialSuccess": true,
  "calloutTemplates": [
    {
      "calloutBaseurl": "https://www.example.com/callout/AccountEdit",
      "eventTypeName": "AccountEdit",
      "httpMethod": "POST",
      "name": "Account Edit"
    },
    {
      "calloutBaseurl": "https://www.example.com/callout/AccountDelete",
      "eventTypeName": "AccountDelete",
      "httpMethod": "POST",
      "name": "Account Delete"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/notifications/callout-templates/import");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"allowPartialSuccess\": true,\n  \"calloutTemplates\": [\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountEdit\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Edit\"\n    },\n    {\n      \"calloutBaseurl\": \"https://www.example.com/callout/AccountDelete\",\n      \"eventTypeName\": \"AccountDelete\",\n      \"httpMethod\": \"POST\",\n      \"name\": \"Account Delete\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "allowPartialSuccess": true,
  "calloutTemplates": [
    [
      "calloutBaseurl": "https://www.example.com/callout/AccountEdit",
      "eventTypeName": "AccountEdit",
      "httpMethod": "POST",
      "name": "Account Edit"
    ],
    [
      "calloutBaseurl": "https://www.example.com/callout/AccountDelete",
      "eventTypeName": "AccountDelete",
      "httpMethod": "POST",
      "name": "Account Delete"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/notifications/callout-templates/import")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```